Page MenuHomePhabricator

Install mailutils on tools
Closed, ResolvedPublic

Description

The current heirloom mailx doesn't allow setting Content-Type header (or any other header), and this means non-ascii text (eg. Chinese) would get an application/octet-stream and be very ugly in mail clients

Calling mail.mailutils in scripts is fine for me. The /etc/alternatives/mail link should probably stay as is.

Related Objects

Event Timeline

jimmyxu created this task.Sep 29 2015, 1:22 AM
jimmyxu raised the priority of this task from to Needs Triage.
jimmyxu updated the task description. (Show Details)
jimmyxu added a project: Cloud-Services.
jimmyxu added a subscriber: jimmyxu.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 1:22 AM

Change 246289 had a related patch set uploaded (by Merlijn van Deen):
toollabs: install mailutils

https://gerrit.wikimedia.org/r/246289

Change 246289 merged by Yuvipanda:
toollabs: install mailutils

https://gerrit.wikimedia.org/r/246289

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 29 2015, 10:29 AM
chasemp closed this task as Resolved.Nov 30 2015, 4:53 PM
chasemp claimed this task.